> ## Documentation Index
> Fetch the complete documentation index at: https://docs.depict.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Instagram Media



## OpenAPI

````yaml /api-reference/openapi/lite.json get /instagram/{merchant_id}/media
openapi: 3.1.0
info:
  title: Depict Lite API
  version: 1.0.0
  description: >-
    REST API behind Depict Lite, the native Shopify app: onboarding,
    collections, boost & bury, dashboards, A/B testing and multi-store
    management. Endpoints are served under the /api/lite prefix and require an
    Auth0-issued bearer token.
servers:
  - url: /api/lite
security: []
paths:
  /instagram/{merchant_id}/media:
    get:
      summary: Get Instagram Media
      operationId: get_instagram_media_instagram__merchant_id__media_get
      parameters:
        - name: merchant_id
          in: path
          required: true
          schema:
            type: string
            title: Merchant Id
        - name: next_page
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Next Page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Media'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Auth0: []
components:
  schemas:
    Media:
      properties:
        data:
          items:
            $ref: '#/components/schemas/MediaItem'
          type: array
          title: Data
        paging:
          anyOf:
            - $ref: '#/components/schemas/Paging'
            - type: 'null'
      type: object
      required:
        - data
      title: Media
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    MediaItem:
      properties:
        media_url:
          type: string
          title: Media Url
        media_type:
          $ref: '#/components/schemas/FacebookPostMediaType'
        id:
          type: string
          title: Id
        caption:
          anyOf:
            - type: string
            - type: 'null'
          title: Caption
        permalink:
          type: string
          title: Permalink
        like_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Like Count
        username:
          type: string
          title: Username
        comments_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Comments Count
        children:
          anyOf:
            - $ref: '#/components/schemas/ChildrenData'
            - type: 'null'
      type: object
      required:
        - media_url
        - media_type
        - id
        - permalink
        - username
      title: MediaItem
    Paging:
      properties:
        cursors:
          $ref: '#/components/schemas/Cursors'
      type: object
      required:
        - cursors
      title: Paging
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FacebookPostMediaType:
      type: string
      enum:
        - IMAGE
        - VIDEO
        - CAROUSEL_ALBUM
      title: FacebookPostMediaType
    ChildrenData:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ChildMediaItem'
          type: array
          title: Data
      type: object
      required:
        - data
      title: ChildrenData
    Cursors:
      properties:
        before:
          type: string
          title: Before
        after:
          type: string
          title: After
      type: object
      required:
        - before
        - after
      title: Cursors
    ChildMediaItem:
      properties:
        media_url:
          type: string
          title: Media Url
        media_type:
          $ref: '#/components/schemas/FacebookMediaType'
        thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail Url
        id:
          type: string
          title: Id
      type: object
      required:
        - media_url
        - media_type
        - id
      title: ChildMediaItem
    FacebookMediaType:
      type: string
      enum:
        - IMAGE
        - VIDEO
      title: FacebookMediaType
  securitySchemes:
    Auth0:
      type: oauth2
      flows:
        authorizationCode:
          scopes:
            openid: OpenID Connect
            profile: User profile
            email: User email
          authorizationUrl: https://depict.eu.auth0.com/oauth/authorize
          tokenUrl: https://depict.eu.auth0.com/oauth/token
      x-tokenName: id_token

````